summaryrefslogtreecommitdiff
path: root/scripts/mysql_fix_extensions.sh
diff options
context:
space:
mode:
authorserg@serg.mysql.com <>2001-12-19 16:15:31 +0000
committerserg@serg.mysql.com <>2001-12-19 16:15:31 +0000
commit22204dc90bd38bae669440c45c0d04a51fe79a39 (patch)
tree00c3bf2b8b7f12243f8dbc24f8b098425a76c371 /scripts/mysql_fix_extensions.sh
parent140fc7864a6cde67396fc51df1b51cbc8ac90fed (diff)
downloadmariadb-git-22204dc90bd38bae669440c45c0d04a51fe79a39.tar.gz
mysql_fix_extensions added
Diffstat (limited to 'scripts/mysql_fix_extensions.sh')
-rw-r--r--scripts/mysql_fix_extensions.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/scripts/mysql_fix_extensions.sh b/scripts/mysql_fix_extensions.sh
new file mode 100644
index 00000000000..92aefda3f77
--- /dev/null
+++ b/scripts/mysql_fix_extensions.sh
@@ -0,0 +1,16 @@
+#!@PERL@
+# This is a utility for MySQL. It is not needed by any standard part
+# of MySQL.
+
+# Usage: mysql_fix_extentions datadir
+# does not work with RAID, with InnoDB or BDB tables
+# makes .frm lowercase and .MYI/MYD/ISM/ISD uppercase
+# useful when datafiles are copied from windows
+
+die "Usage: $0 datadir\n" unless -d $ARGV[0];
+
+for $a (<$ARGV[0]/*/*.*>) { $_=$a;
+ s/\.frm$/.frm/i;
+ s/\.(is[md]|my[id])$/\U$&/;
+ rename ($a, $_) || warn "Cannot rename $a => $_ : $!";
+}